%global momorel 1
%global md5sum_src0 744a6ee1ebfe1c74e3b170b8d7ef8395
%global md5sum_src1 a645aa1a8e1e6031e1f817d2cda9db1d

%define tarball xf86-video-i810
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define legacy_version 1.7.4

Summary:   Xorg X11 i810 video driver
Name:      xorg-x11-drv-i810
Version:   2.1.1
Release: %{momorel}m%{?dist}
URL:       http://www.x.org/
%global xorgurl http://xorg.freedesktop.org/releases/individual
%NoSource 0 %{xorgurl}/driver/%{tarball}-%{legacy_version}.tar.bz2 %{md5sum_src0}
%NoSource 1 %{xorgurl}/driver/xf86-video-intel-%{version}.tar.bz2 %{md5sum_src1}
Source2:   i810.xinf

Patch0:    xf86-video-i810-1.7.4-libdrm-2.3.1.patch
Patch1:    xf86-video-intel-2.1.1-libdrm-2.3.1.patch

License:   MIT/X
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-root

ExclusiveArch: %{ix86} x86_64 ia64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.2.0
BuildRequires: libXvMC-devel
BuildRequires: mesa-libGL-devel >= 7.0
BuildRequires: libdrm-devel >= 2.3.0

Requires:  hwdata
Requires:  xorg-x11-server-Xorg >= 1.3.0.0

%description 
X.Org X11 i810 video driver.

%package devel
Summary:   Xorg X11 i810 video driver XvMC development package
Group:     Development/System
Requires:  %{name} = %{version}-%{release}

%description devel
X.Org X11 i810 video driver XvMC development package.

%prep
%setup -q -n %{tarball}-%{legacy_version}

%patch0 -p1 -b .libdrm-2.3.1

cd ..
rm -rf xf86-video-intel-%{version}
tar jxf %{SOURCE1}
cd xf86-video-intel-%{version}

%patch1 -p1 -b .libdrm-2.3.1

%build
OPTS="--disable-static --libdir=%{_libdir} --mandir=%{_mandir} --enable-dri"
./configure ${OPTS}
%make
cd ../xf86-video-intel-%{version}
./configure ${OPTS}
%make
cd -

%install
rm -rf --preserve-root %{buildroot}

cd ../xf86-video-intel-%{version}
%make install DESTDIR=%{buildroot}

rm -rf --preserve-root %{buildroot}%{_libdir}/xorg/modules/drivers/i810_drv.so
cd ../xf86-video-i810*
%make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/hwdata/videoaliases/
find %{buildroot} -regex ".*\.la$" -delete

# Nuke until actually hooked up in the code
rm -f %{buildroot}/%{driverdir}/ch7017.so

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%{driverdir}/i810_drv.so
%{driverdir}/intel_drv.so
%{driverdir}/ch7xxx.so
%{driverdir}/sil164.so
%{driverdir}/tfp410.so
#%{driverdir}/ch7017.so
%{driverdir}/ivch.so
%{_datadir}/hwdata/videoaliases/i810.xinf
%{_libdir}/libI810XvMC.so.1
%{_libdir}/libI810XvMC.so.1.0.0
%{_mandir}/man4/i*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libI810XvMC.so

%changelog
* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.1-1m)
- update 2.1.1

* Tue Aug  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.0-3m)
- i810_drv came to be installed. 

* Tue Jul 31 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.0-2m)
- support current libdrm
-- xf86-video-i810-1.7.4-libdrm-2.3.1.patch
-- xf86-video-intel-2.1.0-libdrm-2.3.1.patch

* Wed Jul  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.0-1m)
- update 2.1.0

* Wed Jun 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.0-2m)
- NoSource 1

* Wed Jun 27 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0

* Fri Jan 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.7.4-1m)
- update to 1.7.4

* Mon Aug 21 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.5-1m)
- update 1.6.5

* Wed May 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.0-2m)
- delete duplicated dir

* Tue Apr 11 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.0-1m)
- update 1.6.0(Xorg-7.1RC1)

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1.3-4m)
- To trunk

* Fri Feb 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.1.3-3.1m)
- import to Momonga

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.4.1.3-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb  4 2006 Mike A. Harris <mharris@redhat.com> 1.4.1.3-3
- Added 8086:2772 mapping to i810.xinf for bug (#178451)

* Fri Feb  3 2006 Mike A. Harris <mharris@redhat.com> 1.4.1.3-2
- Added 8086:2592 mapping to i810.xinf for bug (#172884)

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.4.1.3-1
- Updated xorg-x11-drv-i810 to version 1.4.1.3 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.4.1.2-1
- Updated xorg-x11-drv-i810 to version 1.4.1.2 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.4.1-1
- Updated xorg-x11-drv-i810 to version 1.4.1 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.4.0.1-1
- Updated xorg-x11-drv-i810 to version 1.4.0.1 from X11R7 RC1
- Fix *.la file removal.
- Added 'devel' subpackage for XvMC .so
- Added 'BuildRequires: libXvMC-devel' for XvMC drivers.

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 1.4.0-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86, x86_64, ia64

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.4.0-0
- Initial spec file for i810 video driver generated automatically
  by my xorg-driverspecgen script.
